---
title: "Restore a platform email template version as a draft"
description: "\n\n### Quire permissions\n\nRequired capability: `platform/email_templates_edit`.\n\nCredential scopes: `email:write`.\n\nThe acting subject must also be allowed to perform this action in the organisation."
image: "https://docs.quirelms.com/og.png"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.quirelms.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Quire API › email

`POST /platform/email_templates/{message_key}/languages/{language}/versions/{version_id}/actions/restore`

\### Quire permissions

Required capability: `platform/email_templates_edit`.

Credential scopes: `email:write`.

The acting subject must also be allowed to perform this action in the organisation.

## Authentication

Requires one of the following:

- `apiKey`, http, header `Authorization`, scopes: `email:write`
- `oauth2`, oauth2, scopes: `email:write`

## Path parameters

- `restorePlatformEmailTemplateVersion.path.message_key` (string, required)
- `restorePlatformEmailTemplateVersion.path.language` (string, required)
- `restorePlatformEmailTemplateVersion.path.version_id` (string, required)

## Header parameters

- `restorePlatformEmailTemplateVersion.header.Idempotency-Key` (string, required) — A caller-chosen key making this request safe to retry. A replay of a completed request returns the recorded response with `Idempotency-Replayed: true`. Reusing a key for a different request is refused.
  - maxLength 255
- `restorePlatformEmailTemplateVersion.header.Quire-Version` (string, optional) — The dated API revision to serve this request at. Omitted, the request is served at the revision the credential was issued against. The response echoes the revision actually applied.
  - format `date`

## Code samples

### cURL

```curl
curl --request POST \
  --url https://your-organisation.quirelms.com/api/v1/platform/email_templates/string/languages/string/versions/string/actions/restore \
  --header 'Authorization: Bearer <token>' \
  --header 'Idempotency-Key: string'
```

### TypeScript

```typescript
const url = 'https://your-organisation.quirelms.com/api/v1/platform/email_templates/string/languages/string/versions/string/actions/restore';
const options = {
  method: 'POST',
  headers: {'Idempotency-Key': 'string', Authorization: 'Bearer <token>'}
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://your-organisation.quirelms.com/api/v1/platform/email_templates/string/languages/string/versions/string/actions/restore"

headers = {
    "Idempotency-Key": "string",
    "Authorization": "Bearer <token>"
}

response = requests.post(url, headers=headers)

print(response.text)
```

## Responses

### 200

Success.

#### Example

```json
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "version": -9007199254740991,
  "state": "draft",
  "subject": "string",
  "preheader": "string",
  "variable_refs": [
    "string"
  ],
  "body": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "published_at": "2019-08-24T14:15:22Z"
}
```

- `restorePlatformEmailTemplateVersion.response.200.id` (string, required)
  - format `uuid`; pattern `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$`
- `restorePlatformEmailTemplateVersion.response.200.version` (integer, required)
  - min -9007199254740991; max 9007199254740991
- `restorePlatformEmailTemplateVersion.response.200.state` (string, required)
  - one of `"draft"`, `"published"`, `"archived"`
- `restorePlatformEmailTemplateVersion.response.200.subject` (string | null, required)
- `restorePlatformEmailTemplateVersion.response.200.preheader` (string | null, required)
- `restorePlatformEmailTemplateVersion.response.200.variable_refs` (array<string>, required)
- `restorePlatformEmailTemplateVersion.response.200.body` (string | null, required)
- `restorePlatformEmailTemplateVersion.response.200.created_at` (string, required)
  - format `date-time`; pattern `^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$`
- `restorePlatformEmailTemplateVersion.response.200.published_at` (any of, required)
  - any of: `string`, `null`

### 401

The credential is missing, malformed, expired or revoked.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `restorePlatformEmailTemplateVersion.response.401.type` (string, required)
  - format `uri`
- `restorePlatformEmailTemplateVersion.response.401.title` (string, required)
- `restorePlatformEmailTemplateVersion.response.401.status` (integer, required)
- `restorePlatformEmailTemplateVersion.response.401.code` (string, required)
- `restorePlatformEmailTemplateVersion.response.401.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `restorePlatformEmailTemplateVersion.response.401.detail` (string, required)
- `restorePlatformEmailTemplateVersion.response.401.request_id` (string, required)
- `restorePlatformEmailTemplateVersion.response.401.docs_url` (string, required)
  - format `uri`
- `restorePlatformEmailTemplateVersion.response.401.errors` (array<object>, optional)
  - `restorePlatformEmailTemplateVersion.response.401.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `restorePlatformEmailTemplateVersion.response.401.errors.code` (string, required)
  - `restorePlatformEmailTemplateVersion.response.401.errors.detail` (string, required)
- `restorePlatformEmailTemplateVersion.response.401.retry_after` (integer | null, optional)

### 403

The credential lacks the scope this operation requires, or the acting subject lacks the capability.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `restorePlatformEmailTemplateVersion.response.403.type` (string, required)
  - format `uri`
- `restorePlatformEmailTemplateVersion.response.403.title` (string, required)
- `restorePlatformEmailTemplateVersion.response.403.status` (integer, required)
- `restorePlatformEmailTemplateVersion.response.403.code` (string, required)
- `restorePlatformEmailTemplateVersion.response.403.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `restorePlatformEmailTemplateVersion.response.403.detail` (string, required)
- `restorePlatformEmailTemplateVersion.response.403.request_id` (string, required)
- `restorePlatformEmailTemplateVersion.response.403.docs_url` (string, required)
  - format `uri`
- `restorePlatformEmailTemplateVersion.response.403.errors` (array<object>, optional)
  - `restorePlatformEmailTemplateVersion.response.403.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `restorePlatformEmailTemplateVersion.response.403.errors.code` (string, required)
  - `restorePlatformEmailTemplateVersion.response.403.errors.detail` (string, required)
- `restorePlatformEmailTemplateVersion.response.403.retry_after` (integer | null, optional)

### 404

No such resource, or none this credential is permitted to know about.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `restorePlatformEmailTemplateVersion.response.404.type` (string, required)
  - format `uri`
- `restorePlatformEmailTemplateVersion.response.404.title` (string, required)
- `restorePlatformEmailTemplateVersion.response.404.status` (integer, required)
- `restorePlatformEmailTemplateVersion.response.404.code` (string, required)
- `restorePlatformEmailTemplateVersion.response.404.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `restorePlatformEmailTemplateVersion.response.404.detail` (string, required)
- `restorePlatformEmailTemplateVersion.response.404.request_id` (string, required)
- `restorePlatformEmailTemplateVersion.response.404.docs_url` (string, required)
  - format `uri`
- `restorePlatformEmailTemplateVersion.response.404.errors` (array<object>, optional)
  - `restorePlatformEmailTemplateVersion.response.404.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `restorePlatformEmailTemplateVersion.response.404.errors.code` (string, required)
  - `restorePlatformEmailTemplateVersion.response.404.errors.detail` (string, required)
- `restorePlatformEmailTemplateVersion.response.404.retry_after` (integer | null, optional)

### 409

The request conflicts with the current state, with a previous use of the same idempotency key, or with a concurrent write.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `restorePlatformEmailTemplateVersion.response.409.type` (string, required)
  - format `uri`
- `restorePlatformEmailTemplateVersion.response.409.title` (string, required)
- `restorePlatformEmailTemplateVersion.response.409.status` (integer, required)
- `restorePlatformEmailTemplateVersion.response.409.code` (string, required)
- `restorePlatformEmailTemplateVersion.response.409.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `restorePlatformEmailTemplateVersion.response.409.detail` (string, required)
- `restorePlatformEmailTemplateVersion.response.409.request_id` (string, required)
- `restorePlatformEmailTemplateVersion.response.409.docs_url` (string, required)
  - format `uri`
- `restorePlatformEmailTemplateVersion.response.409.errors` (array<object>, optional)
  - `restorePlatformEmailTemplateVersion.response.409.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `restorePlatformEmailTemplateVersion.response.409.errors.code` (string, required)
  - `restorePlatformEmailTemplateVersion.response.409.errors.detail` (string, required)
- `restorePlatformEmailTemplateVersion.response.409.retry_after` (integer | null, optional)

### 422

The request was understood and its content is not valid. `errors` names each field.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `restorePlatformEmailTemplateVersion.response.422.type` (string, required)
  - format `uri`
- `restorePlatformEmailTemplateVersion.response.422.title` (string, required)
- `restorePlatformEmailTemplateVersion.response.422.status` (integer, required)
- `restorePlatformEmailTemplateVersion.response.422.code` (string, required)
- `restorePlatformEmailTemplateVersion.response.422.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `restorePlatformEmailTemplateVersion.response.422.detail` (string, required)
- `restorePlatformEmailTemplateVersion.response.422.request_id` (string, required)
- `restorePlatformEmailTemplateVersion.response.422.docs_url` (string, required)
  - format `uri`
- `restorePlatformEmailTemplateVersion.response.422.errors` (array<object>, optional)
  - `restorePlatformEmailTemplateVersion.response.422.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `restorePlatformEmailTemplateVersion.response.422.errors.code` (string, required)
  - `restorePlatformEmailTemplateVersion.response.422.errors.detail` (string, required)
- `restorePlatformEmailTemplateVersion.response.422.retry_after` (integer | null, optional)

### 429

A rate limit or a concurrency cap was reached. `Retry-After` says when to try again.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `restorePlatformEmailTemplateVersion.response.429.type` (string, required)
  - format `uri`
- `restorePlatformEmailTemplateVersion.response.429.title` (string, required)
- `restorePlatformEmailTemplateVersion.response.429.status` (integer, required)
- `restorePlatformEmailTemplateVersion.response.429.code` (string, required)
- `restorePlatformEmailTemplateVersion.response.429.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `restorePlatformEmailTemplateVersion.response.429.detail` (string, required)
- `restorePlatformEmailTemplateVersion.response.429.request_id` (string, required)
- `restorePlatformEmailTemplateVersion.response.429.docs_url` (string, required)
  - format `uri`
- `restorePlatformEmailTemplateVersion.response.429.errors` (array<object>, optional)
  - `restorePlatformEmailTemplateVersion.response.429.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `restorePlatformEmailTemplateVersion.response.429.errors.code` (string, required)
  - `restorePlatformEmailTemplateVersion.response.429.errors.detail` (string, required)
- `restorePlatformEmailTemplateVersion.response.429.retry_after` (integer | null, optional)

### 500

Something failed at our end. Quote `request_id` when reporting it.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `restorePlatformEmailTemplateVersion.response.500.type` (string, required)
  - format `uri`
- `restorePlatformEmailTemplateVersion.response.500.title` (string, required)
- `restorePlatformEmailTemplateVersion.response.500.status` (integer, required)
- `restorePlatformEmailTemplateVersion.response.500.code` (string, required)
- `restorePlatformEmailTemplateVersion.response.500.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `restorePlatformEmailTemplateVersion.response.500.detail` (string, required)
- `restorePlatformEmailTemplateVersion.response.500.request_id` (string, required)
- `restorePlatformEmailTemplateVersion.response.500.docs_url` (string, required)
  - format `uri`
- `restorePlatformEmailTemplateVersion.response.500.errors` (array<object>, optional)
  - `restorePlatformEmailTemplateVersion.response.500.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `restorePlatformEmailTemplateVersion.response.500.errors.code` (string, required)
  - `restorePlatformEmailTemplateVersion.response.500.errors.detail` (string, required)
- `restorePlatformEmailTemplateVersion.response.500.retry_after` (integer | null, optional)


Source: https://docs.quirelms.com/api/email/restorePlatformEmailTemplateVersion/index.md
